My Project: dgAngleBasedFlatteningMapping Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgAngleBasedFlatteningMapping Class Reference
Inheritance diagram for dgAngleBasedFlatteningMapping:

## Public Member Functions

| dgAngleBasedFlatteningMapping (dgMeshEffect *const mesh, dgInt32 material, dgReportProgress progressReportCallback, void *const userData)
| ~dgAngleBasedFlatteningMapping ()
void | AllocVectors ()
void | DeleteAuxiliaryVectors ()
void | CalculateNumberOfVariables ()
void | InitEdgeVector ()
dgInt32 | GetAlphaLandaIndex (const dgEdge *const edge) const
dgInt32 | GetTriangleIndex (const dgInt32 alphaIndex) const
dgInt32 | GetTriangleIndex (const dgEdge *const edge) const
dgInt32 | GetInteriorVertex (const dgEdge *const edge) const
void | CalculateInitialAngles ()
dgFloat64 | CalculateAngularGradientDerivative (dgInt32 alphaIndex) const
dgFloat64 | CalculateInteriorVertexGradient (dgInt32 alphaIndex) const
dgFloat64 | CalculatePlanarityGradient (dgInt32 alphaIndex) const
dgFloat64 | CalculateGradientVector ()
void | MatrixTimeVector (dgFloat64 *const out, const dgFloat64 *const v) const
bool | InversePrecoditionerTimeVector (dgFloat64 *const out, const dgFloat64 *const v) const
void | LagrangeOptimization ()
Public Member Functions inherited from dgSymmetricBiconjugateGradientSolve
| dgSymmetricBiconjugateGradientSolve ()
| ~dgSymmetricBiconjugateGradientSolve ()
dgFloat64 | Solve (dgInt32 size, dgFloat64 tolerance, dgFloat64 *const x, const dgFloat64 *const b) const

## Public Attributes

dgMeshEffect * | m_mesh
dgEdge ** | m_betaEdge
dgInt32 * | m_interiorIndirectMap
dgFloat64 * | m_beta
dgFloat64 * | m_weight
dgFloat64 * | m_sinTable
dgFloat64 * | m_cosTable
dgFloat64 * | m_variables
dgFloat64 * | m_gradients
dgFloat64 * | m_deltaVariables
dgInt32 | m_anglesCount
dgInt32 | m_triangleCount
dgInt32 | m_interiorVertexCount
dgInt32 | m_totalVariablesCount
void * | m_progressReportUserData
dgReportProgress | m_progressReportCallback
dgInt32 | m_progressNum
dgInt32 | m_progressDen
bool | m_continueExecution

## Additional Inherited Members

## Constructor & Destructor Documentation

## § dgAngleBasedFlatteningMapping()

dgAngleBasedFlatteningMapping::dgAngleBasedFlatteningMapping | ( | dgMeshEffect *const | mesh,
|  | dgInt32 | material,
|  | dgReportProgress | progressReportCallback,
|  | void *const | userData
| ) |  |

inline

## § ~dgAngleBasedFlatteningMapping()

dgAngleBasedFlatteningMapping::~dgAngleBasedFlatteningMapping | ( |  | ) |

inline

## Member Function Documentation

## § AllocVectors()

void dgAngleBasedFlatteningMapping::AllocVectors | ( |  | ) |

inline

## § CalculateAngularGradientDerivative()

dgFloat64 dgAngleBasedFlatteningMapping::CalculateAngularGradientDerivative | ( | dgInt32 | alphaIndex | ) | const

inline

## § CalculateGradientVector()

dgFloat64 dgAngleBasedFlatteningMapping::CalculateGradientVector | ( |  | ) |

inline

## § CalculateInitialAngles()

void dgAngleBasedFlatteningMapping::CalculateInitialAngles | ( |  | ) |

inline

## § CalculateInteriorVertexGradient()

dgFloat64 dgAngleBasedFlatteningMapping::CalculateInteriorVertexGradient | ( | dgInt32 | alphaIndex | ) | const

inline

## § CalculateNumberOfVariables()

void dgAngleBasedFlatteningMapping::CalculateNumberOfVariables | ( |  | ) |

inline

## § CalculatePlanarityGradient()

dgFloat64 dgAngleBasedFlatteningMapping::CalculatePlanarityGradient | ( | dgInt32 | alphaIndex | ) | const

inline

## § DeleteAuxiliaryVectors()

void dgAngleBasedFlatteningMapping::DeleteAuxiliaryVectors | ( |  | ) |

inline

## § GetAlphaLandaIndex()

dgInt32 dgAngleBasedFlatteningMapping::GetAlphaLandaIndex | ( | const dgEdge *const | edge | ) | const

inline

## § GetInteriorVertex()

dgInt32 dgAngleBasedFlatteningMapping::GetInteriorVertex | ( | const dgEdge *const | edge | ) | const

inline

## § GetTriangleIndex() [1/2]

dgInt32 dgAngleBasedFlatteningMapping::GetTriangleIndex | ( | const dgInt32 | alphaIndex | ) | const

inline

## § GetTriangleIndex() [2/2]

dgInt32 dgAngleBasedFlatteningMapping::GetTriangleIndex | ( | const dgEdge *const | edge | ) | const

inline

## § InitEdgeVector()

void dgAngleBasedFlatteningMapping::InitEdgeVector | ( |  | ) |

inline

## § InversePrecoditionerTimeVector()

bool dgAngleBasedFlatteningMapping::InversePrecoditionerTimeVector | ( | dgFloat64 *const | out,
|  | const dgFloat64 *const | v
| ) |  | const

inlinevirtual

Implements dgSymmetricBiconjugateGradientSolve.

## § LagrangeOptimization()

void dgAngleBasedFlatteningMapping::LagrangeOptimization | ( |  | ) |

inline

## § MatrixTimeVector()

void dgAngleBasedFlatteningMapping::MatrixTimeVector | ( | dgFloat64 *const | out,
|  | const dgFloat64 *const | v
| ) |  | const

inlinevirtual

Implements dgSymmetricBiconjugateGradientSolve.

## Member Data Documentation

## § m_anglesCount

dgInt32 dgAngleBasedFlatteningMapping::m_anglesCount

## § m_beta

dgFloat64* dgAngleBasedFlatteningMapping::m_beta

## § m_betaEdge

dgEdge** dgAngleBasedFlatteningMapping::m_betaEdge

## § m_continueExecution

bool dgAngleBasedFlatteningMapping::m_continueExecution

mutable

## § m_cosTable

dgFloat64* dgAngleBasedFlatteningMapping::m_cosTable

## § m_deltaVariables

dgFloat64* dgAngleBasedFlatteningMapping::m_deltaVariables

## § m_gradients

dgFloat64* dgAngleBasedFlatteningMapping::m_gradients

## § m_interiorIndirectMap

dgInt32* dgAngleBasedFlatteningMapping::m_interiorIndirectMap

## § m_interiorVertexCount

dgInt32 dgAngleBasedFlatteningMapping::m_interiorVertexCount

## § m_mesh

dgMeshEffect* dgAngleBasedFlatteningMapping::m_mesh

## § m_progressDen

dgInt32 dgAngleBasedFlatteningMapping::m_progressDen

mutable

## § m_progressNum

dgInt32 dgAngleBasedFlatteningMapping::m_progressNum

mutable

## § m_progressReportCallback

dgReportProgress dgAngleBasedFlatteningMapping::m_progressReportCallback

## § m_progressReportUserData

void* dgAngleBasedFlatteningMapping::m_progressReportUserData

## § m_sinTable

dgFloat64* dgAngleBasedFlatteningMapping::m_sinTable

## § m_totalVariablesCount

dgInt32 dgAngleBasedFlatteningMapping::m_totalVariablesCount

## § m_triangleCount

dgInt32 dgAngleBasedFlatteningMapping::m_triangleCount

## § m_variables

dgFloat64* dgAngleBasedFlatteningMapping::m_variables

## § m_weight

dgFloat64* dgAngleBasedFlatteningMapping::m_weight

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect6.cpp